Summary:	A fast and simple image viewer
Name:		mirage
Version:	0.9.5.2
Release:	%mkrel 1
Group:		Graphics
License:	GPLv2+
URL:		http://mirageiv.berlios.de/
Source0:	http://download.berlios.de/mirageiv/%{name}-%{version}.tar.xz
Patch0:         mirage-0.9.5.2-fix_locale.patch
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils
BuildRequires:	X11-devel
Requires:	pygtk2.0
Requires:	gnome-python-gconf
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	python >= 2.7

%description
Mirage is a fast and simple GTK+ image viewer. Because it 
depends only on PyGTK, Mirage is ideal for users who wish to 
keep their computers lean while still having a clean image viewer.

%prep
%setup -q
%patch0 -p1

%build
env CFLAGS="%{optflags}" python setup.py build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}
python setup.py install --root=%{buildroot} --record=INSTALLED_FILES

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="Viewer" \
        --add-category="X-MandrivaLinux-Multimedia-Graphics" \
	--remove-key="Version" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

sed -i -e 's/^Icon=%{name}$/Icon=image-viewer/g' %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc CHANGELOG README TODO TRANSLATORS
%{_bindir}/%{name}
%{python_sitearch}/%{name}.py*
%{python_sitearch}/*.egg-info
%{python_sitearch}/*.so
%{_datadir}/%{name}/
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/*%{name}.desktop


%changelog
* Mon Dec 11 2017 Zen Subz <techars21 at gmail dot com> - 0.9.5.2-1pclos2017
- Update to new release

* Sun Dec 01 2013 billybot <billybot> 0.9.5.1-2pclos2013
- rebuild for new python

* Sun Oct 10 2010 Sproggy <desproggster@gmail.com> 0.9.5.1-1pclos2010
- 9.8.5.1

* Mon Sep 06 2010 Texstar <texstar at gmail.com> 0.9.4-2pclos2010
- rebuild for new python

* Tue Jun 29 2010 Texstar <texstar at gmail.com> 0.9.4-1pclos2010
- 0.9.4
